Skip to content
Developer

Offer

Billing8 EndpointsBilling / Offer

This method will get all Offer Objects

GET/api/invoice/offers

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of Offer objectsarray<Offer2>

Show fields (31)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • search_stringstring

    Text that the entity can be searched by.

  • offer_accounting_typeOfferAccountingTyperequired

    Accounting type of the offer.

    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

  • itemsarray<OfferItem2>

    Items of the offer.

    Show fields (16)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • offerOffer2

      Offer the item belongs to.

    • custom_productCustomizedBillingItem2

      Customized product used for the item.

  • buyerOfferBuyer2

    Buyer of the offer.

    Show fields (22)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • offerOffer2

      Offer the buyer belongs to.

  • accepted_datestring (date-time)

    Date the offer was accepted.

  • is_accepted_date_from_ext_serviceboolean

    The acceptance date comes from an external service.

  • projectCRMProject

    Project the offer belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/offers \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "tax": {
      "name": "Beispiel",
      "id": 42,
      "value": 1.5,
      "deleted": true,
      "global_default": true,
      "datev_tax_key": 1
    },
    "offer_accounting_type": {
      "name": "Beispiel",
      "type": "string",
      "id": 42,
      "cancelled_name": "Beispiel",
      "number_description": "Text",
      "conditions": "string",
      "deleted": true
    },
    "id": 42,
    "currency": "EUR",
    "name": "Beispiel",
    "linked_number_title": "Beispiel",
    "token": "string",
    "number": 1,
    "manual_number_prefix": "string",
    "manual_number": 1
  }
]

Creates a single Offer

POST/api/invoice/offers

Request body application/json

  • offerOffer3
    Show fields (3)
    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem3>

      Items of the offer.

    • buyerOfferBuyer3

      Buyer of the offer.

Responses

200Creates a single OfferOffer4

Show fields (43)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • mit_last_send_emailstring (date-time)

    Point in time the last e-mail was sent.

  • mit_to_emailstring

    E-mail address the mail is intended for.

  • mit_should_send_emailboolean

    Whether an e-mail should be sent.

  • mit_last_send_postalstring (date-time)

    Point in time the last letter was sent.

  • mit_to_address_namestring

    Name of the postal recipient.

  • mit_to_address_street_levelstring

    Street and house number of the postal recipient.

  • mit_to_address_citystring

    City of the postal recipient.

  • mit_to_address_zipstring

    Postal code of the postal recipient.

  • mit_to_address_countrystring

    Country of the postal recipient.

  • mit_should_send_postalboolean

    Whether a letter should be sent.

  • search_stringstring

    Text that the entity can be searched by.

  • offer_accounting_typeOfferAccountingTyperequired

    Accounting type of the offer.

    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

  • itemsarray<OfferItem4>

    Items of the offer.

    Show fields (16)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • offerOffer4

      Offer the item belongs to.

    • custom_productCustomizedBillingItem3

      Customized product used for the item.

  • buyerOfferBuyer4

    Buyer of the offer.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • offerOffer4

      Offer the buyer belongs to.

  • accepted_datestring (date-time)

    Date the offer was accepted.

  • is_accepted_date_from_ext_serviceboolean

    The acceptance date comes from an external service.

  • projectCRMProject11

    Project the offer belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany23

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • invoicesarray<Invoice15>

    Invoices created from the offer.

    Show fields (48)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • mit_last_send_emailstring (date-time)

      Point in time the last e-mail was sent.

    • mit_to_emailstring

      E-mail address the mail is intended for.

    • mit_should_send_emailboolean

      Whether an e-mail should be sent.

    • mit_last_send_postalstring (date-time)

      Point in time the last letter was sent.

    • mit_to_address_namestring

      Name of the postal recipient.

    • mit_to_address_street_levelstring

      Street and house number of the postal recipient.

    • mit_to_address_citystring

      City of the postal recipient.

    • mit_to_address_zipstring

      Postal code of the postal recipient.

    • mit_to_address_countrystring

      Country of the postal recipient.

    • mit_should_send_postalboolean

      Whether a letter should be sent.

    • search_stringstring

      Text that the entity can be searched by.

    • accounting_typeAccountingTyperequired

      Accounting type of the invoice.

    • payment_typePaymentType

      Payment type of the invoice.

    • payment_goalPaymentGoal

      Payment term of the invoice.

    • expense_categoryExpenseCategory10

      EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    • buyerInvoiceBuyer15

      Buyer of the invoice.

    • payment_datestring (date-time)

      Date the invoice was paid.

    • vat_categorystring

      Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

    • is_payment_date_from_ext_serviceboolean

      The payment date comes from an external service.

    • direct_debit_exportedboolean

      The invoice was exported for direct debit.

    • cancel_datestring (date-time)

      Date the invoice was canceled.

    • cancel_textstring

      Text of the cancellation.

    • start_datestring (date-time)

      Start of the billed period.

    • end_datestring (date-time)

      End of the billed period.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the offer was created for.

    Show fields (33)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • genderstring

      Gender of the participant.

    • tokenstring

      Public token of the sign-up. Used in links instead of the ID.

    • moments_tokenstring

      Participant-bound moments token: allows this participant to use the event moments (digital guestbook) page; uploads via this token are linked to the participant.

    • waitingboolean

      The sign-up is on the waiting list.

    • confirmedboolean

      The sign-up is confirmed.

    • externalboolean

      The sign-up was made by an external party.

    • deletion_reasonstring

      Reason the sign-up was cancelled.

    • billedboolean

      The sign-up was billed.

    • direct_billingboolean
    • direct_billing_check_datestring (date-time)
    • direct_billing_tokenstring
    • wait_list_confirmation_tokenstring
    • wait_list_confirmation_sent_atstring (date-time)
    • wait_list_confirmation_deadlinestring (date-time)
    • wait_list_confirmed_atstring (date-time)
    • wait_list_pending_confirmationboolean
    • wait_list_sort_orderinteger
    • birthdaystring (date-time)

      Birthday of the participant.

    • trialboolean

      Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

    • trial_channelstring

      Who booked the trial date: app, trainer, office

    • trial_session_numberinteger

      Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

    • trial_session_maxinteger

      Trial dates of the pass, for "Schnuppern 2/3"

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • bib_numberinteger

      Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

    • bib_labelstring

      Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

    • bib_number_assigned_atstring (date-time)

      Time the bib number was assigned.

    • chip_codestring

      Transponder- oder QR-Kennung fuer die Zeitmessung. Pro Event eindeutig.

    • timing_tracking_consentboolean

      Einwilligung in das GPS-Live-Tracking waehrend des Events.

    • … 29 more fields
Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/offers \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "offer": {
    "offer_accounting_type": {
      "name": "Beispiel",
      "type": "string",
      "id": 42,
      "cancelled_name": "Beispiel",
      "number_description": "Text",
      "conditions": "string"
    },
    "buyer": {
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163",
      "address_country": "DE",
      "address_full_country": "DE",
      "payment_bic": "BYLADEM1001"
    }
  }
}
'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "offer_accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string",
    "deleted": true
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "mit_last_send_email": "2026-10-15T09:30:00+02:00",
  "mit_to_email": "lena.hartmann@example.org",
  "mit_should_send_email": true,
  "mit_to_address_name": "Beispiel"
}

This method will print an Offer as PDF

GET/api/invoice/offers/{identifier}/pdf

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/offers/42/pdf \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will get a single Offer Object with the given id

GET/api/invoice/offers/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single OfferOffer4

Show fields (43)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • mit_last_send_emailstring (date-time)

    Point in time the last e-mail was sent.

  • mit_to_emailstring

    E-mail address the mail is intended for.

  • mit_should_send_emailboolean

    Whether an e-mail should be sent.

  • mit_last_send_postalstring (date-time)

    Point in time the last letter was sent.

  • mit_to_address_namestring

    Name of the postal recipient.

  • mit_to_address_street_levelstring

    Street and house number of the postal recipient.

  • mit_to_address_citystring

    City of the postal recipient.

  • mit_to_address_zipstring

    Postal code of the postal recipient.

  • mit_to_address_countrystring

    Country of the postal recipient.

  • mit_should_send_postalboolean

    Whether a letter should be sent.

  • search_stringstring

    Text that the entity can be searched by.

  • offer_accounting_typeOfferAccountingTyperequired

    Accounting type of the offer.

    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

  • itemsarray<OfferItem4>

    Items of the offer.

    Show fields (16)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • offerOffer4

      Offer the item belongs to.

    • custom_productCustomizedBillingItem3

      Customized product used for the item.

  • buyerOfferBuyer4

    Buyer of the offer.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • offerOffer4

      Offer the buyer belongs to.

  • accepted_datestring (date-time)

    Date the offer was accepted.

  • is_accepted_date_from_ext_serviceboolean

    The acceptance date comes from an external service.

  • projectCRMProject11

    Project the offer belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany23

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • invoicesarray<Invoice15>

    Invoices created from the offer.

    Show fields (48)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • mit_last_send_emailstring (date-time)

      Point in time the last e-mail was sent.

    • mit_to_emailstring

      E-mail address the mail is intended for.

    • mit_should_send_emailboolean

      Whether an e-mail should be sent.

    • mit_last_send_postalstring (date-time)

      Point in time the last letter was sent.

    • mit_to_address_namestring

      Name of the postal recipient.

    • mit_to_address_street_levelstring

      Street and house number of the postal recipient.

    • mit_to_address_citystring

      City of the postal recipient.

    • mit_to_address_zipstring

      Postal code of the postal recipient.

    • mit_to_address_countrystring

      Country of the postal recipient.

    • mit_should_send_postalboolean

      Whether a letter should be sent.

    • search_stringstring

      Text that the entity can be searched by.

    • accounting_typeAccountingTyperequired

      Accounting type of the invoice.

    • payment_typePaymentType

      Payment type of the invoice.

    • payment_goalPaymentGoal

      Payment term of the invoice.

    • expense_categoryExpenseCategory10

      EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    • buyerInvoiceBuyer15

      Buyer of the invoice.

    • payment_datestring (date-time)

      Date the invoice was paid.

    • vat_categorystring

      Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

    • is_payment_date_from_ext_serviceboolean

      The payment date comes from an external service.

    • direct_debit_exportedboolean

      The invoice was exported for direct debit.

    • cancel_datestring (date-time)

      Date the invoice was canceled.

    • cancel_textstring

      Text of the cancellation.

    • start_datestring (date-time)

      Start of the billed period.

    • end_datestring (date-time)

      End of the billed period.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the offer was created for.

    Show fields (33)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • genderstring

      Gender of the participant.

    • tokenstring

      Public token of the sign-up. Used in links instead of the ID.

    • moments_tokenstring

      Participant-bound moments token: allows this participant to use the event moments (digital guestbook) page; uploads via this token are linked to the participant.

    • waitingboolean

      The sign-up is on the waiting list.

    • confirmedboolean

      The sign-up is confirmed.

    • externalboolean

      The sign-up was made by an external party.

    • deletion_reasonstring

      Reason the sign-up was cancelled.

    • billedboolean

      The sign-up was billed.

    • direct_billingboolean
    • direct_billing_check_datestring (date-time)
    • direct_billing_tokenstring
    • wait_list_confirmation_tokenstring
    • wait_list_confirmation_sent_atstring (date-time)
    • wait_list_confirmation_deadlinestring (date-time)
    • wait_list_confirmed_atstring (date-time)
    • wait_list_pending_confirmationboolean
    • wait_list_sort_orderinteger
    • birthdaystring (date-time)

      Birthday of the participant.

    • trialboolean

      Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

    • trial_channelstring

      Who booked the trial date: app, trainer, office

    • trial_session_numberinteger

      Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

    • trial_session_maxinteger

      Trial dates of the pass, for "Schnuppern 2/3"

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • bib_numberinteger

      Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

    • bib_labelstring

      Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

    • bib_number_assigned_atstring (date-time)

      Time the bib number was assigned.

    • chip_codestring

      Transponder- oder QR-Kennung fuer die Zeitmessung. Pro Event eindeutig.

    • timing_tracking_consentboolean

      Einwilligung in das GPS-Live-Tracking waehrend des Events.

    • … 29 more fields
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/offers/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "offer_accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string",
    "deleted": true
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "mit_last_send_email": "2026-10-15T09:30:00+02:00",
  "mit_to_email": "lena.hartmann@example.org",
  "mit_should_send_email": true,
  "mit_to_address_name": "Beispiel"
}

Add an Offer to a CRMCompany

POST/api/invoice/offer/{id}/add/to/company

Path parameters

idrequiredstring

Responses

200Add an Offer to a CRMCompanyCRMCompany23

Show fields (62)
  • idinteger

    Primary key of the company. Internal ID.

  • short_namestring

    Short name of the company.

  • company_namestring

    Legal name of the company.

  • secondary_namestring

    Second name line of the company.

  • direct_dialstring

    Direct dial number of the company.

  • invoice_emailstring

    E-mail address for invoices.

  • send_invoice_emailboolean

    Send invoices by e-mail.

  • send_invoice_letterboolean

    Send invoices by letter.

  • time_report_emailstring

    E-mail address for time reports.

  • payment_goalPaymentGoal

    Payment term of the company.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • payment_intervalstring

    Interval of the payments.

  • vatidstring

    VAT identification number.

  • taxnumberstring

    Tax number of the company.

  • buyer_reference_idstring

    Leitweg-ID or custom reference ID defined by the customer

  • taxTax

    Tax rate used for the company.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • infostring

    Information about the company.

  • numberstring

    Customer or supplier number of the company.

  • manual_numberinteger

    Number set manually instead of the automatic number.

  • number_stringstring

    Company number as text, including prefix.

  • is_customerboolean

    The company is a customer.

  • is_supplierboolean

    The company is a supplier.

  • is_otherboolean

    The company is neither customer nor supplier.

  • is_memberboolean

    The company is a member.

  • archivedboolean

    The company is archived.

  • categoryCRMCompanyCategory

    Category of the company.

    Show fields (10)
    • idinteger

      Primary key of the company category. Internal ID.

    • namestring

      Name of the company category.

    • descriptionstring

      Description of the company category.

    • deletedboolean

      The category is deleted.

    • global_defaultboolean

      Default category for new companies.

    • enabled_customer_portalboolean

      Companies of this category may use the customer portal.

    • g_drive_root_dirstring

      Root folder in Google Drive for companies of this category.

    • g_drive_root_dir_archivedstring

      Root folder in Google Drive for archived companies of this category.

    • require_company_addressboolean

      An address must be entered for companies of this category.

    • require_company_billingboolean

      Billing details must be entered for companies of this category.

  • visible_for_customerboolean

    Whether the company is visible to the customer.

  • founding_datestring (date-time)

    Founding date of the company.

  • nace_sectionstring

    NACE section code (letter A-U)

  • nace_codestring

    NACE code (numeric like 01.11, 62.01)

  • search_stringstring

    Text that the entity can be searched by.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

  • payment_typePaymentType
    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • company_employee_countinteger

    Number of employees of the company.

  • company_founding_yearinteger

    Founding year of the company.

  • company_family_ownedboolean

    Whether the company is family-owned.

  • company_sales_volumestring

    Sales volume of the company.

  • company_segmentstring

    Market segment of the company.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/offer/42/add/to/company \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "short_name": "Beispiel",
  "company_name": "Beispiel",
  "secondary_name": "Beispiel",
  "invoice_email": "lena.hartmann@example.org",
  "send_invoice_email": true,
  "time_report_email": "lena.hartmann@example.org",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163"
}

Delete an Offer from a CRMCompany

POST/api/invoice/offer/{id}/delete/from/company

Path parameters

idrequiredstring

Responses

200Delete an Offer from a CRMCompanyCRMCompany23

Show fields (62)
  • idinteger

    Primary key of the company. Internal ID.

  • short_namestring

    Short name of the company.

  • company_namestring

    Legal name of the company.

  • secondary_namestring

    Second name line of the company.

  • direct_dialstring

    Direct dial number of the company.

  • invoice_emailstring

    E-mail address for invoices.

  • send_invoice_emailboolean

    Send invoices by e-mail.

  • send_invoice_letterboolean

    Send invoices by letter.

  • time_report_emailstring

    E-mail address for time reports.

  • payment_goalPaymentGoal

    Payment term of the company.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • payment_intervalstring

    Interval of the payments.

  • vatidstring

    VAT identification number.

  • taxnumberstring

    Tax number of the company.

  • buyer_reference_idstring

    Leitweg-ID or custom reference ID defined by the customer

  • taxTax

    Tax rate used for the company.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • infostring

    Information about the company.

  • numberstring

    Customer or supplier number of the company.

  • manual_numberinteger

    Number set manually instead of the automatic number.

  • number_stringstring

    Company number as text, including prefix.

  • is_customerboolean

    The company is a customer.

  • is_supplierboolean

    The company is a supplier.

  • is_otherboolean

    The company is neither customer nor supplier.

  • is_memberboolean

    The company is a member.

  • archivedboolean

    The company is archived.

  • categoryCRMCompanyCategory

    Category of the company.

    Show fields (10)
    • idinteger

      Primary key of the company category. Internal ID.

    • namestring

      Name of the company category.

    • descriptionstring

      Description of the company category.

    • deletedboolean

      The category is deleted.

    • global_defaultboolean

      Default category for new companies.

    • enabled_customer_portalboolean

      Companies of this category may use the customer portal.

    • g_drive_root_dirstring

      Root folder in Google Drive for companies of this category.

    • g_drive_root_dir_archivedstring

      Root folder in Google Drive for archived companies of this category.

    • require_company_addressboolean

      An address must be entered for companies of this category.

    • require_company_billingboolean

      Billing details must be entered for companies of this category.

  • visible_for_customerboolean

    Whether the company is visible to the customer.

  • founding_datestring (date-time)

    Founding date of the company.

  • nace_sectionstring

    NACE section code (letter A-U)

  • nace_codestring

    NACE code (numeric like 01.11, 62.01)

  • search_stringstring

    Text that the entity can be searched by.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

  • payment_typePaymentType
    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • company_employee_countinteger

    Number of employees of the company.

  • company_founding_yearinteger

    Founding year of the company.

  • company_family_ownedboolean

    Whether the company is family-owned.

  • company_sales_volumestring

    Sales volume of the company.

  • company_segmentstring

    Market segment of the company.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/offer/42/delete/from/company \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "short_name": "Beispiel",
  "company_name": "Beispiel",
  "secondary_name": "Beispiel",
  "invoice_email": "lena.hartmann@example.org",
  "send_invoice_email": true,
  "time_report_email": "lena.hartmann@example.org",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163"
}

Close an Offer

POST/api/invoice/offer/{identifier}/close

Path parameters

identifierrequiredstring

Responses

200Close an OfferOffer4

Show fields (43)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • mit_last_send_emailstring (date-time)

    Point in time the last e-mail was sent.

  • mit_to_emailstring

    E-mail address the mail is intended for.

  • mit_should_send_emailboolean

    Whether an e-mail should be sent.

  • mit_last_send_postalstring (date-time)

    Point in time the last letter was sent.

  • mit_to_address_namestring

    Name of the postal recipient.

  • mit_to_address_street_levelstring

    Street and house number of the postal recipient.

  • mit_to_address_citystring

    City of the postal recipient.

  • mit_to_address_zipstring

    Postal code of the postal recipient.

  • mit_to_address_countrystring

    Country of the postal recipient.

  • mit_should_send_postalboolean

    Whether a letter should be sent.

  • search_stringstring

    Text that the entity can be searched by.

  • offer_accounting_typeOfferAccountingTyperequired

    Accounting type of the offer.

    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

  • itemsarray<OfferItem4>

    Items of the offer.

    Show fields (16)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • offerOffer4

      Offer the item belongs to.

    • custom_productCustomizedBillingItem3

      Customized product used for the item.

  • buyerOfferBuyer4

    Buyer of the offer.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • offerOffer4

      Offer the buyer belongs to.

  • accepted_datestring (date-time)

    Date the offer was accepted.

  • is_accepted_date_from_ext_serviceboolean

    The acceptance date comes from an external service.

  • projectCRMProject11

    Project the offer belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany23

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • invoicesarray<Invoice15>

    Invoices created from the offer.

    Show fields (48)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • mit_last_send_emailstring (date-time)

      Point in time the last e-mail was sent.

    • mit_to_emailstring

      E-mail address the mail is intended for.

    • mit_should_send_emailboolean

      Whether an e-mail should be sent.

    • mit_last_send_postalstring (date-time)

      Point in time the last letter was sent.

    • mit_to_address_namestring

      Name of the postal recipient.

    • mit_to_address_street_levelstring

      Street and house number of the postal recipient.

    • mit_to_address_citystring

      City of the postal recipient.

    • mit_to_address_zipstring

      Postal code of the postal recipient.

    • mit_to_address_countrystring

      Country of the postal recipient.

    • mit_should_send_postalboolean

      Whether a letter should be sent.

    • search_stringstring

      Text that the entity can be searched by.

    • accounting_typeAccountingTyperequired

      Accounting type of the invoice.

    • payment_typePaymentType

      Payment type of the invoice.

    • payment_goalPaymentGoal

      Payment term of the invoice.

    • expense_categoryExpenseCategory10

      EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    • buyerInvoiceBuyer15

      Buyer of the invoice.

    • payment_datestring (date-time)

      Date the invoice was paid.

    • vat_categorystring

      Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

    • is_payment_date_from_ext_serviceboolean

      The payment date comes from an external service.

    • direct_debit_exportedboolean

      The invoice was exported for direct debit.

    • cancel_datestring (date-time)

      Date the invoice was canceled.

    • cancel_textstring

      Text of the cancellation.

    • start_datestring (date-time)

      Start of the billed period.

    • end_datestring (date-time)

      End of the billed period.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the offer was created for.

    Show fields (33)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • genderstring

      Gender of the participant.

    • tokenstring

      Public token of the sign-up. Used in links instead of the ID.

    • moments_tokenstring

      Participant-bound moments token: allows this participant to use the event moments (digital guestbook) page; uploads via this token are linked to the participant.

    • waitingboolean

      The sign-up is on the waiting list.

    • confirmedboolean

      The sign-up is confirmed.

    • externalboolean

      The sign-up was made by an external party.

    • deletion_reasonstring

      Reason the sign-up was cancelled.

    • billedboolean

      The sign-up was billed.

    • direct_billingboolean
    • direct_billing_check_datestring (date-time)
    • direct_billing_tokenstring
    • wait_list_confirmation_tokenstring
    • wait_list_confirmation_sent_atstring (date-time)
    • wait_list_confirmation_deadlinestring (date-time)
    • wait_list_confirmed_atstring (date-time)
    • wait_list_pending_confirmationboolean
    • wait_list_sort_orderinteger
    • birthdaystring (date-time)

      Birthday of the participant.

    • trialboolean

      Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

    • trial_channelstring

      Who booked the trial date: app, trainer, office

    • trial_session_numberinteger

      Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

    • trial_session_maxinteger

      Trial dates of the pass, for "Schnuppern 2/3"

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • bib_numberinteger

      Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

    • bib_labelstring

      Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

    • bib_number_assigned_atstring (date-time)

      Time the bib number was assigned.

    • chip_codestring

      Transponder- oder QR-Kennung fuer die Zeitmessung. Pro Event eindeutig.

    • timing_tracking_consentboolean

      Einwilligung in das GPS-Live-Tracking waehrend des Events.

    • … 29 more fields
Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/offer/42/close \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "offer_accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string",
    "deleted": true
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "mit_last_send_email": "2026-10-15T09:30:00+02:00",
  "mit_to_email": "lena.hartmann@example.org",
  "mit_should_send_email": true,
  "mit_to_address_name": "Beispiel"
}

Set mail intend for an Offer

POST/api/invoice/offer/{identifier}/mail_intend

Path parameters

identifierrequiredstring

Responses

200Set mail intend for an OfferOffer4

Show fields (43)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • mit_last_send_emailstring (date-time)

    Point in time the last e-mail was sent.

  • mit_to_emailstring

    E-mail address the mail is intended for.

  • mit_should_send_emailboolean

    Whether an e-mail should be sent.

  • mit_last_send_postalstring (date-time)

    Point in time the last letter was sent.

  • mit_to_address_namestring

    Name of the postal recipient.

  • mit_to_address_street_levelstring

    Street and house number of the postal recipient.

  • mit_to_address_citystring

    City of the postal recipient.

  • mit_to_address_zipstring

    Postal code of the postal recipient.

  • mit_to_address_countrystring

    Country of the postal recipient.

  • mit_should_send_postalboolean

    Whether a letter should be sent.

  • search_stringstring

    Text that the entity can be searched by.

  • offer_accounting_typeOfferAccountingTyperequired

    Accounting type of the offer.

    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

  • itemsarray<OfferItem4>

    Items of the offer.

    Show fields (16)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • offerOffer4

      Offer the item belongs to.

    • custom_productCustomizedBillingItem3

      Customized product used for the item.

  • buyerOfferBuyer4

    Buyer of the offer.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • offerOffer4

      Offer the buyer belongs to.

  • accepted_datestring (date-time)

    Date the offer was accepted.

  • is_accepted_date_from_ext_serviceboolean

    The acceptance date comes from an external service.

  • projectCRMProject11

    Project the offer belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany23

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • invoicesarray<Invoice15>

    Invoices created from the offer.

    Show fields (48)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • mit_last_send_emailstring (date-time)

      Point in time the last e-mail was sent.

    • mit_to_emailstring

      E-mail address the mail is intended for.

    • mit_should_send_emailboolean

      Whether an e-mail should be sent.

    • mit_last_send_postalstring (date-time)

      Point in time the last letter was sent.

    • mit_to_address_namestring

      Name of the postal recipient.

    • mit_to_address_street_levelstring

      Street and house number of the postal recipient.

    • mit_to_address_citystring

      City of the postal recipient.

    • mit_to_address_zipstring

      Postal code of the postal recipient.

    • mit_to_address_countrystring

      Country of the postal recipient.

    • mit_should_send_postalboolean

      Whether a letter should be sent.

    • search_stringstring

      Text that the entity can be searched by.

    • accounting_typeAccountingTyperequired

      Accounting type of the invoice.

    • payment_typePaymentType

      Payment type of the invoice.

    • payment_goalPaymentGoal

      Payment term of the invoice.

    • expense_categoryExpenseCategory10

      EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    • buyerInvoiceBuyer15

      Buyer of the invoice.

    • payment_datestring (date-time)

      Date the invoice was paid.

    • vat_categorystring

      Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

    • is_payment_date_from_ext_serviceboolean

      The payment date comes from an external service.

    • direct_debit_exportedboolean

      The invoice was exported for direct debit.

    • cancel_datestring (date-time)

      Date the invoice was canceled.

    • cancel_textstring

      Text of the cancellation.

    • start_datestring (date-time)

      Start of the billed period.

    • end_datestring (date-time)

      End of the billed period.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the offer was created for.

    Show fields (33)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • genderstring

      Gender of the participant.

    • tokenstring

      Public token of the sign-up. Used in links instead of the ID.

    • moments_tokenstring

      Participant-bound moments token: allows this participant to use the event moments (digital guestbook) page; uploads via this token are linked to the participant.

    • waitingboolean

      The sign-up is on the waiting list.

    • confirmedboolean

      The sign-up is confirmed.

    • externalboolean

      The sign-up was made by an external party.

    • deletion_reasonstring

      Reason the sign-up was cancelled.

    • billedboolean

      The sign-up was billed.

    • direct_billingboolean
    • direct_billing_check_datestring (date-time)
    • direct_billing_tokenstring
    • wait_list_confirmation_tokenstring
    • wait_list_confirmation_sent_atstring (date-time)
    • wait_list_confirmation_deadlinestring (date-time)
    • wait_list_confirmed_atstring (date-time)
    • wait_list_pending_confirmationboolean
    • wait_list_sort_orderinteger
    • birthdaystring (date-time)

      Birthday of the participant.

    • trialboolean

      Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

    • trial_channelstring

      Who booked the trial date: app, trainer, office

    • trial_session_numberinteger

      Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

    • trial_session_maxinteger

      Trial dates of the pass, for "Schnuppern 2/3"

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • bib_numberinteger

      Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

    • bib_labelstring

      Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

    • bib_number_assigned_atstring (date-time)

      Time the bib number was assigned.

    • chip_codestring

      Transponder- oder QR-Kennung fuer die Zeitmessung. Pro Event eindeutig.

    • timing_tracking_consentboolean

      Einwilligung in das GPS-Live-Tracking waehrend des Events.

    • … 29 more fields
Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/offer/42/mail_intend \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "offer_accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string",
    "deleted": true
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "mit_last_send_email": "2026-10-15T09:30:00+02:00",
  "mit_to_email": "lena.hartmann@example.org",
  "mit_should_send_email": true,
  "mit_to_address_name": "Beispiel"
}